# ApplicationFramework
TKLCAF
TNaming

# TNaming_DeltaOnModification Class Reference

This class provides default services for an
AttributeDelta on a MODIFICATION action.
Applying this AttributeDelta means GOING BACK to
the attribute previously registered state.
.

`#include <TNaming_DeltaOnModification.hxx>`

Inheritance diagram for TNaming_DeltaOnModification:

[legend]

## Public Member Functions

Standard_EXPORT | TNaming_DeltaOnModification (const Handle(TNaming_NamedShape)&NS)
| Initializes a TDF_DeltaOnModification. .
virtual Standard_EXPORT void | Apply ()
| Applies the delta to the attribute. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TopTools_HArray1OfShape | myOld
Handle_TopTools_HArray1OfShape | myNew

## Constructor & Destructor Documentation

Standard_EXPORT TNaming_DeltaOnModification::TNaming_DeltaOnModification | ( | const Handle(TNaming_NamedShape)& | NS | ) |

## Member Function Documentation

virtual Standard_EXPORT void TNaming_DeltaOnModification::Apply | ( |  | ) | `[virtual]`

| Reimplemented from TDF_DeltaOnModification.

Standard_EXPORT const TNaming_DeltaOnModification::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_DeltaOnModification.

## Field Documentation

Handle_TopTools_HArray1OfShape TNaming_DeltaOnModification::myNew `[private]`

Handle_TopTools_HArray1OfShape TNaming_DeltaOnModification::myOld `[private]`

The documentation for this class was generated from the following file:

- TNaming_DeltaOnModification.hxx